<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_RefuelReport_V2 StructType
 * @subpackage Structs
 */
class Get_RefuelReport_V2 extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The RefuelReportSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\RefuelReportSelection_V2
     */
    public $RefuelReportSelection;
    /**
     * Constructor method for Get_RefuelReport_V2
     * @uses Get_RefuelReport_V2::setLogin()
     * @uses Get_RefuelReport_V2::setRefuelReportSelection()
     * @param \StructType\Login $login
     * @param \StructType\RefuelReportSelection_V2 $refuelReportSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\RefuelReportSelection_V2 $refuelReportSelection = null)
    {
        $this
            ->setLogin($login)
            ->setRefuelReportSelection($refuelReportSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_RefuelReport_V2
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get RefuelReportSelection value
     * @return \StructType\RefuelReportSelection_V2|null
     */
    public function getRefuelReportSelection()
    {
        return $this->RefuelReportSelection;
    }
    /**
     * Set RefuelReportSelection value
     * @param \StructType\RefuelReportSelection_V2 $refuelReportSelection
     * @return \StructType\Get_RefuelReport_V2
     */
    public function setRefuelReportSelection(\StructType\RefuelReportSelection_V2 $refuelReportSelection = null)
    {
        $this->RefuelReportSelection = $refuelReportSelection;
        return $this;
    }
}
